• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

MG 1.1 Water mark php 5.4 and above

Chris D

XenForo developer
Staff member
#2
There's no known issues with watermarking in any PHP version.

If you can be more specific about the errors you are encountering, we can look into it.
 

Chris D

XenForo developer
Staff member
#4
Does Imagick remain selectable in the options? What about in XF Attachment Options? Generally if it reports it's not installed... it's usually not wrong or, at least, it's not there when we're looking at it so it's indicative of some sort of external (to XF) issue.
 

Bionic Rooster

Well-known member
#5
imagick is installed and works fine with php 5.4
the following report it is not installed
php 5.6 unable to select in options
php 7.0 unable to select in options
 

Chris D

XenForo developer
Staff member
#7
Currently it just seems to me like you don't have the imagick extension enabled for those versions. You can verify it is enabled in those versions using phpinfo.
 

Chris D

XenForo developer
Staff member
#12
I would guess you just need to go to somewhere that allows you to configure PHP extensions for the current PHP version. If that appears to be enabled, but it still isn't showing as enabled in phpinfo, then it is almost certainly a host question.